GridFire v0.7.0-alpha General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
general_composition.h File Reference
`#include "fourdst/composition/composition.h"`
`#include "fourdst/composition/atomicSpecies.h"`
`#include <ranges>`
Include dependency graph for general_composition.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | gridfire
namespace | gridfire::utils

## Functions
double | gridfire::utils::massFractionFromMolarAbundanceAndComposition (const fourdst::composition::Composition &composition, const fourdst::atomic::Species &species, const double Yi)
std::vector< double > | gridfire::utils::massFractionFromMolarAbundanceAndMolarMass (const std::vector< double > &molarAbundances, const std::vector< double > &molarMasses) noexcept
| Convert a vector of molar abundances into a vector of mass fractions.
std::vector< double > | gridfire::utils::molarMassVectorFromComposition (const fourdst::composition::Composition &composition)